package cpcns.dingZhi.renshi.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.renshi.dao.IRenshiDao;
import cpcns.dingZhi.renshi.model.renshi;
import cpcns.dingZhi.renshi.service.IRenshiService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("renshiService")
public class RenshiServiceImpl extends DangAnBaseServiceImpl<renshi> implements IRenshiService {
  @Autowired
  private IRenshiDao renshiDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select xingMing,shunXuHao,hangBiaoShi,quanZongHao,wenJianBianHao,biaoTi,dangHao,chengWenRiQi from ")).append(table).append(" where 1=1 and zhuangTai not in(:zhuangTai)");
    tp.put("zhuangTai", new String[] { "3", "4" });
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("xingMing");
      if (para != null && para != "") {
        sql.append(" and xingMing=:xingMing");
        tp.put("xingMing", para);
      } 
      para = map.get("wenJianBianHao");
      if (para != null && para != "") {
        sql.append(" and wenJianBianHao like :wenJianBianHao");
        tp.put("wenJianBianHao", "%" + para + "%");
      } 
      para = map.get("biaoTi");
      if (para != null && para != "") {
        sql.append(" and biaoTi like :biaoTi");
        tp.put("biaoTi", "%" + para + "%");
      } 
      para = map.get("dangHao");
      if (para != null && para != "") {
        sql.append(" and dangHao like :dangHao");
        tp.put("dangHao", "%" + para + "%");
      } 
      para = map.get("chengWenRiQi");
      if (para != null && para != "") {
        sql.append(" and chengWenRiQi=:chengWenRiQi");
        tp.put("chengWenRiQi", para);
      } 
      para = map.get("shunXuHao");
      if (para != null && para != "") {
        sql.append(" and shunXuHao=:shunXuHao");
        tp.put("shunXuHao", para);
      } 
    } 
    return this.renshiDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
